### Enumeration

# AppStream MergeKind

since: 1.0

#### Declaration

    enum AppStream.MergeKind

#### Description [src]

Defines how `AsComponent` data should be merged if the component is set for merge.

Available since: 1.0

#### Members

`AS_MERGE_KIND_NONE`

  No merge is happening.

  - Value: `0`
  - Nickname: `none`
  - Available since: 1.0
`AS_MERGE_KIND_REPLACE`

  Merge replacing data of target.

  - Value: `1`
  - Nickname: `replace`
  - Available since: 1.0
`AS_MERGE_KIND_APPEND`

  Merge appending data to target.

  - Value: `2`
  - Nickname: `append`
  - Available since: 1.0
`AS_MERGE_KIND_REMOVE_COMPONENT`

  Remove the entire component if it matches.

  - Value: `3`
  - Nickname: `remove-component`
  - Available since: 1.0

#### Type functions

###### as_merge_kind_from_string

Converts the text representation to an enumerated value.

since: 1.0

###### as_merge_kind_to_string

Converts the enumerated value to an text representation.

since: 1.0